<?php
/**
 * Simplyin Payment - Courier Methods Source Model
 */
declare(strict_types=1);

namespace Simplyin\Payment\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class CourierMethods implements OptionSourceInterface
{
    /**
     * Get courier method options
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        return [
            ['value' => 'kurier', 'label' => __('Kurier')],
            ['value' => 'dhl', 'label' => __('DHL')],
            ['value' => 'dpd', 'label' => __('DPD')],
            ['value' => 'ups', 'label' => __('UPS')],
            ['value' => 'fedex', 'label' => __('FedEx')],
            ['value' => 'inpost_courier', 'label' => __('InPost Kurier')],
            ['value' => 'gls', 'label' => __('GLS')],
            ['value' => 'pocztex', 'label' => __('Pocztex')]
        ];
    }
}
